@import "@/assets/scss/variables";

#__nuxt {
  --presentation-layer-width-maximized: 25.5rem;
  --presentation-layer-width-maximized-mobile: 375px;
  --presentation-layer-width-minimized: 3.375rem;
  --sidebar-minimized-width: 53px;

  --widget-notes-bg-color: #fffab8;

  --last-seen-width-maximized-mobile: 100%;
  --last-seen-width-maximized: 25.5rem;

  --icon-xs-size: 16px;
  --icon-sm-size: 20px;

  --search-bar-font-size: var(--input-font-size);

  // z-index
  --top-modal-container-z-index: 300; // lay over all navigation possibilities
  --top-modal-overlay-z-index: 280;

  --modal-container-z-index: 250;

  --offcanvas-z-index: 200;

  --presentation-layer-z-index: 180;

  --actions-z-index: 110;

  --navigation-z-index: 120;

  --overlay-z-index: 100;
  --modal-overlay-z-index: var(--overlay-z-index);
  --sidebar-overlay-z-index: var(--overlay-z-index);
  // helper if due to html-structure the element can't but should lay over or behind it's sibling/parent
  --helper-lay-over-sibling-z-index: 1;
  --helper-lay-behind-sibling-z-index: -1;
}
